Bug 1702278 - conversion host task is missing contextual data
Summary: conversion host task is missing contextual data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL: https://github.com/ManageIQ/manageiq/...
Whiteboard:
Depends On: 1695886
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-23 12:02 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
4 users (show)

Fixed In Version: 5.10.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1695886
Environment:
Last Closed: 2019-05-21 05:46:56 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:04 UTC

Comment 2 CFME Bot 2019-04-25 13:26:00 UTC
New commits detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/7ee3e9b4a47192a0e7f452da0900b470e6b6d03f
commit 7ee3e9b4a47192a0e7f452da0900b470e6b6d03f
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Fri Mar 29 07:42:23 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Fri Mar 29 07:42:23 2019 -0400

    Merge pull request #18541 from djberg96/conversion_host_task_context_data

    [V2V] Set context data for the task associated with conversion host creation

    (cherry picked from commit 65617fa67713a3e640fb8029685c41c27550a75d)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702278

 app/models/conversion_host/configurations.rb | 31 +-
 spec/models/conversion_host/configurations_spec.rb | 11 +-
 2 files changed, 37 insertions(+), 5 deletions(-)

Comment 3 Shveta 2019-05-03 20:48:21 UTC
Associated task includes the parameters as shown here 
Configuring a conversion_host: operation=enable resource=(name: env-rhv42-01.cfme2.lab.eng.rdu2.redhat.com type: ManageIQ::Providers::Redhat::InfraManager::Host id: 3)

It includes the resource id , type and name

Verified in 5.10.4.1.20190430152139_40a1d86

Comment 5 errata-xmlrpc 2019-05-21 05:46:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.